<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('Kelurahan', function (Blueprint $table) {
            $table->id('KelurahanId');
            $table->unsignedBigInteger('KecamatanId');
            $table->foreign('KecamatanId')->references('KecamatanId')->on('Kecamatan')->onDelete('cascade');
            $table->string('NamaKelurahan');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('Kelurahan');
    }
};
